summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2020-08-04 20:36:58 +0200
committerAmy Liffey <amynka@gentoo.org>2020-08-04 20:36:58 +0200
commitf716edb5328be368ff494084d02f59c59b6f41c5 (patch)
tree2312f56b2fffd93f7c71637f2ff06332b55e7aa9
parentapp-crypt/eid-mw: version bump 4.4.27 (diff)
downloadgentoo-f716edb5328be368ff494084d02f59c59b6f41c5.tar.gz
gentoo-f716edb5328be368ff494084d02f59c59b6f41c5.tar.bz2
gentoo-f716edb5328be368ff494084d02f59c59b6f41c5.zip
app-crypt/eid-mw: Update live ebuild to latest
Bug: https://bugs.gentoo.org/732994 Submitted-by: Vincent Hardy <vincent.hardy.be@gmail.com> Package-Manager: Portage-2.3.99, Repoman-2.3.20 Signed-off-by: Amy Liffey <amynka@gentoo.org>
-rw-r--r--app-crypt/eid-mw/eid-mw-9999.ebuild22
1 files changed, 17 insertions, 5 deletions
diff --git a/app-crypt/eid-mw/eid-mw-9999.ebuild b/app-crypt/eid-mw/eid-mw-9999.ebuild
index 023f52ee56b..2535311a44f 100644
--- a/app-crypt/eid-mw/eid-mw-9999.ebuild
+++ b/app-crypt/eid-mw/eid-mw-9999.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit autotools gnome2-utils git-r3
+inherit autotools desktop gnome2-utils xdg-utils git-r3
DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian Federal Government"
HOMEPAGE="https://eid.belgium.be"
@@ -16,7 +16,7 @@ IUSE="+dialogs +gtk +p11v220 p11-kit"
RDEPEND=">=sys-apps/pcsc-lite-1.2.9
gtk? (
x11-libs/gdk-pixbuf[jpeg]
- x11-libs/gtk+:*
+ x11-libs/gtk+:3
dev-libs/libxml2
net-misc/curl[ssl]
net-libs/libproxy
@@ -46,6 +46,16 @@ src_prepare() {
-e "s:get_lsb_info('c'):strdup(_(\"n/a\")):" \
plugins_tools/aboutmw/gtk/about-main.c || die
+ # Fix libdir for pkcs11_manifestdir
+ sed -i \
+ -e "/pkcs11_manifestdir/ s:prefix)/lib:libdir):" \
+ cardcomm/pkcs11/src/Makefile.am || die
+
+ # See bug #732994
+ sed -i \
+ -e '/LDFLAGS="/ s:$CPPFLAGS:$LDFLAGS:' \
+ configure.ac || die
+
eautoreconf
}
@@ -71,13 +81,15 @@ src_install() {
pkg_postinst() {
if use gtk; then
gnome2_schemas_update
- gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_icon_cache_update
fi
}
pkg_postrm() {
if use gtk; then
gnome2_schemas_update
- gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_icon_cache_update
fi
}